# Creating basic geometrical objects

In GEOM you can create basic geometrical objects (1D & 2D elements) such as:

- Point

- Line

- Circle

- Ellipse

- Arc

- Curve

- Vector

- Plane

- Working plane

- Local coordinate system

To create basic geometrical objects:

In the main menu select New Entity > Basic.

Point

Description: Creates a point.

Result: GEOM_Object (vertex).

TUI Command : geompy.MakeVertex(X, Y, Z) -

geompy.MakeVertexWithRef(Reference, X, Y, Z)

geompy.MakeVertexOnCurve(Edge, Parameter)

Arguments:

- 1st Constructor: Name + X, Y and Z coordinates of the point.

- 2nd Constructor: Name + 1 reference point + 3 coordinates defining the position of this point regarding the reference one

- 2nd Constructor: Name + 1 edge + 1 Parameter defining the position of the point on the given edge.

Dialog Box:

Example:

Line

Description: Creates a line.

Result: GEOM_Object (edge).

TUI Command: geompy.MakeLine(Point1, Point2), where Point1 and Point2 are points through which the line passes.

Arguments: Name + 2 vertices.

Dialog Box:

Example:

Circle

Description: Creates a circle.

Result: GEOM_Object (edge).

TUI Command: geompy.MakeCircle(Point, Vector, Radius), where Point defines the center of the circle, Vector gives the circle’s normal and Radius is the circle’s radius.

Arguments:

- 1st Constructor: Name + 1 vertex (for the center) + 1 edge (for the direction) + Radius.

- 2nd Constructor: Name + 3 points which will form the circle.

Dialog Box:

Example:

Ellipse

Description: Creates an ellipse.

Result: GEOM_Object (edge).

TUI Command: geompy.MakeEllipse(Point, Vector, RadiusMajor, RadiusMinor), where Point defines the center of the ellipse, Vector gives the ellipse’s normal, RadiusMajor and RadiusMinor are correspondingly a major and minor radiuses of the ellipse.

Arguments: Name + 1 vertex (for the center) + 1 edge (for the direction) + 1 X Radius + 1 Y Radius.

Dialog Box:

Example:

Arc

Description: Creates an arc.

Result: GEOM_Object (edge).

TUI Command: geompy.MakeArc(Point1, Point2, Point3), where Point1 is the starting point of the arc, Point2 is a middle point of the arc and Point3 is the ending point of the arc.

Arguments: Name + 3 vertices.

Dialog Box:

Example:

Curve

Description: Creates a curve in 3D space.

Result: GEOM_Object (edge).

TUI Command:

- geompy.MakePolyline(ListOfShapes), where ListOfShape is a list of points through which the curve passes .

- geompy.MakeInterpol(ListOfShapes), where ListOfShape is a list of points through which the curve passes .

- geompy.MakeBezier(ListOfShapes), where ListOfShape is a list of points through which the curve passes .

Arguments: Name + at least 2 points which will serve as nodes on the curve.

Dialog Box:

Example:

Polyline Bezier B-Spline

Vector

Description: Creates a vector.

Result: GEOM_Object (edge).

TUI Command: geompy.MakeVector(Point1, Point2), where Point1 is the first point of the vector and the Point2 is the last point of the vector.

Arguments :

- 1st Constructor : Name + 2 vertices.

- 2nd Constructor : Name + 3 values (Coordinates of the 2nd vertex. The first vertex is in the origin).

Dialog Box:

Example:

Plane

Description: Creates a plane.

Result: GEOM_Object (face).

TUI Command: geompy.MakePlane(Point, Vector, TrimSize), where Point is a point through which the plane passes, Vector gives a normal of the plane and TrimSize is a half size of a side of quadrangle face, representing the plane.

Arguments:

- 1st Constructor : Name + 1 vertex + 1 vector + 1 value (to define the size of the plane).

- 2nd Constructor : Name + 1 vertex + 3 points (for the direction) + 1 value (to define the size of the plane).

- 3rd Constructor : Name + 1 selection + 1 value (to define the size of the plane).

Dialog Box:

Example:

Working Plane

Description: Sets the working plane (and the camera position).

Arguments:

- Name + 1 selection (face or planar face),

- Name + 2 vectors,

- Name + XYZ coordinate system

Dialog Box:

Local coordinate system

Description: The user may manually enter values of X, Y, and Z coordinates of origin in the corresponding fields of the dialog box, or select a point in the object browser or 3D viewer, in this case coordinates of origin are automatically filled in with the coordinates of the selected point.

The user then specifies components of X and Y axes direction.

Preview of the new LCS (small trihedron located and oriented according to parameters of LCS) is displayed in the 3D viewer and updated as soon as the user modifies some parameter.

Then the user presses «OK» or «Apply» button to create an LCS at the location with the specified coordinates. The new object is shown in the Object Browser and in 3D viewer.

TUI command: geompy.MakeMarker(OX, OY, OZ, XDX, XDY, XDZ, YDX, YDY, YDZ), where OX, OY, OZ are coordinates of the origin of LCS, XDX, XDY, XDZ is a vector of OX direction of the LCS and YDX, YDY, YDZ is a a vector of OY direction of the LCS.

Arguments:

- 1st Constructor : Name + Coordinates of origin, X axis direction, Y axis direction

- 2nd Constructor : Name + reference object.

- 3rd Constructor : Name + 1 point of origin + X axis direction, Y axis direction.

.

Dialog Box:

Example: